| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Signals | Public Member Functions | Protected Slots | Protected Member Functions | List of all members
Digikam::FaceRejectionOverlay Class Reference
Inheritance diagram for Digikam::FaceRejectionOverlay:

## Signals
void | rejectFaces (const QList< QModelIndex > &indexes)
Signals inherited from Digikam::ItemDelegateOverlay
void | hideNotification ()
void | requestNotification (const QModelIndex &index, const QString &message)
void | update (const QModelIndex &index)

## Public Member Functions
| FaceRejectionOverlay (QObject *const parent)
void | setActive (bool active) override
| If active is true, this will call createWidget(), initialize the widget for use, and setup connections for the virtual slots.
Public Member Functions inherited from Digikam::HoverButtonDelegateOverlay
| HoverButtonDelegateOverlay (QObject *const parent)
ItemViewHoverButton * | button () const
void | setActive (bool active) override
| Will call createButton().
Public Member Functions inherited from Digikam::AbstractWidgetDelegateOverlay
| AbstractWidgetDelegateOverlay (QObject *const parent)
| This class provides functionality for using a widget in an overlay.
Public Member Functions inherited from Digikam::ItemDelegateOverlay
| ItemDelegateOverlay (QObject *const parent=nullptr)
virtual bool | acceptsDelegate (QAbstractItemDelegate *) const
QAbstractItemDelegate * | delegate () const
virtual void | mouseMoved (QMouseEvent *e, const QRect &visualRect, const QModelIndex &index)
| Only these two methods are implemented as virtual methods.
virtual void | paint (QPainter *p, const QStyleOptionViewItem &option, const QModelIndex &index)
void | setDelegate (QAbstractItemDelegate *delegate)
void | setView (QAbstractItemView *view)
QAbstractItemView * | view () const

## Protected Slots
void | slotClicked ()
Protected Slots inherited from Digikam::HoverButtonDelegateOverlay
void | slotEntered (const QModelIndex &index) override
void | slotReset () override
Protected Slots inherited from Digikam::AbstractWidgetDelegateOverlay
virtual void | slotEntered (const QModelIndex &index)
| Default implementation shows the widget iff the index is valid and checkIndex returns true.
virtual void | slotLayoutChanged ()
virtual void | slotReset ()
| Default implementations of these three slots call hide()
virtual void | slotRowsRemoved (const QModelIndex &parent, int start, int end)
virtual void | slotViewportEntered ()
Protected Slots inherited from Digikam::ItemDelegateOverlay

## Protected Member Functions
bool | checkIndex (const QModelIndex &index) const override
ItemViewHoverButton * | createButton () override
| Create your widget here.
void | updateButton (const QModelIndex &index) override
| Called when a new index is entered.
void | widgetEnterEvent () override
| Called when a QEvent::Enter resp.
void | widgetLeaveEvent () override
Protected Member Functions inherited from Digikam::HoverButtonDelegateOverlay
QWidget * | createWidget () override
| Create your widget here.
void | visualChange () override
| Called when any change from the delegate occurs - when the overlay is installed, when size hints, styles or fonts change.
Protected Member Functions inherited from Digikam::AbstractWidgetDelegateOverlay
bool | checkIndexOnEnter (const QModelIndex &index) const
| Utility method called from slotEntered.
bool | eventFilter (QObject *obj, QEvent *event) override
virtual void | hide ()
| Called when the widget shall be hidden (mouse cursor left index, viewport, uninstalled etc.).
virtual QString | notifyMultipleMessage (const QModelIndex &, int number)
QWidget * | parentWidget () const
virtual void | viewportLeaveEvent (QObject *obj, QEvent *event)
| Called when a QEvent::Leave of the viewport is received.
void | widgetEnterNotifyMultiple (const QModelIndex &index)
| A sample implementation for above methods.
void | widgetLeaveNotifyMultiple ()
Protected Member Functions inherited from Digikam::ItemDelegateOverlay
QList< QModelIndex > | affectedIndexes (const QModelIndex &index) const
bool | affectsMultiple (const QModelIndex &index) const
| For the context that an overlay can affect multiple items: Assuming the currently overlaid index is given.
int | numberOfAffectedIndexes (const QModelIndex &index) const
bool | viewHasMultiSelection () const
| Utility method.

## Additional Inherited Members
Protected Attributes inherited from Digikam::AbstractWidgetDelegateOverlay
bool | m_mouseButtonPressedOnWidget = false
QWidget * | m_widget = nullptr
Protected Attributes inherited from Digikam::ItemDelegateOverlay
QAbstractItemDelegate * | m_delegate = nullptr
QAbstractItemView * | m_view = nullptr

## Member Function Documentation

## ◆ checkIndex()

bool Digikam::FaceRejectionOverlay::checkIndex | ( | const QModelIndex & | index | ) | const
| override protected virtual

Returns
  true here if you want to show the overlay for the given index. The default implementation returns true.

Reimplemented from Digikam::AbstractWidgetDelegateOverlay.

## ◆ createButton()

ItemViewHoverButton * Digikam::FaceRejectionOverlay::createButton | ( |  | ) |
| override protected virtual

Pass view() as parent.

Implements Digikam::HoverButtonDelegateOverlay.

## ◆ setActive()

void Digikam::FaceRejectionOverlay::setActive | ( | bool | active | ) |
| override virtual

If active is false, this will delete the widget and disconnect all signal from model and view to this object (!)

Reimplemented from Digikam::AbstractWidgetDelegateOverlay.

## ◆ updateButton()

void Digikam::FaceRejectionOverlay::updateButton | ( | const QModelIndex & | index | ) |
| override protected virtual

Reposition your button here, adjust and store state.

Implements Digikam::HoverButtonDelegateOverlay.

## ◆ widgetEnterEvent()

void Digikam::FaceRejectionOverlay::widgetEnterEvent | ( |  | ) |
| override protected virtual

QEvent::Leave event for the widget is received. The default implementation does nothing.

Reimplemented from Digikam::AbstractWidgetDelegateOverlay.

## ◆ widgetLeaveEvent()

void Digikam::FaceRejectionOverlay::widgetLeaveEvent | ( |  | ) |
| override protected virtual

Reimplemented from Digikam::AbstractWidgetDelegateOverlay.